明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1647|回复: 2

请问如何在图形窗口之间切换啊

[复制链接]
发表于 2004-10-28 10:54:00 | 显示全部楼层 |阅读模式
小弟我在当前图形窗口获得了一些点的数据,然后创建了一个新的窗口用这些数据作了条多线段。可是我还想回到原来的图形窗口进行一些操作,请问我该怎么做呢??? 我试验的代码: Dim dName As String, dPath, File
dName = ThisDrawing.name
dPath = ThisDrawing.Path
MsgBox (dPath) & " " & (dName)
File = ((dPath) & " " & (dName))
Application.Documents.Add
ThisDrawing.Application.Documents.Open (File)
其中MsgBox显示了当前窗口的路径和文件名,可是添加了新窗口后Open语句却出错说找不到该文件???请问我该怎么办啊 还想请问一下:(1)创建的新窗口可以自己命名吗?默认的是drawing1 (2)我的一个数组里存有很多点的数据。现在我想以相邻两点在XOY面上的距离为横坐标,Z差为纵坐标形成一个新的数组,盖怎么做呢??循环嵌套??
发表于 2004-10-28 11:36:00 | 显示全部楼层
There should be a "\" between path and filename.
发表于 2004-10-28 11:46:00 | 显示全部楼层
  1. Sub tttt()
  2. Dim doc1 As AcadDocument
  3. Dim doc2 As AcadDocument
  4. Set doc1 = Application.ActiveDocument
  5. Set doc2 = Application.Documents.Add()
  6. doc2.Activate
  7. ThisDrawing.Utility.GetPoint
  8. doc1.Activate
  9. End Sub
创建的新窗口不可以自己命名
  1. Function ChangePnts(pnts As Variant)
  2. Dim p1, p2
  3. Dim p(2) As Double
  4. Dim dots()
  5. ReDim dots(UBound(pnts) - 1)
  6. For i = 0 To UBound(pnts) - 1
  7. p1 = pnts(i)
  8. p2 = pnts(i + 1)
  9. p(0) = ((p1(0) - p2(0)) ^ 2 + (p1(1) - p2(1)) ^ 2) ^ 0.5
  10. p(1) = Abs(p1(2) - p2(2))
  11. dots(i) = p
  12. Next i
  13. ChangePnts = dots
  14. End Function
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 00:56 , Processed in 0.174402 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表